Subject: Re: bug#50858: Installing git-annex for aarch64 fails on ghc build

From: Simon Tournier <[email-masked]>
Date: Fri, 24 Nov 2023 15:56:14 +0100

Hi,

On Mon, 27 Sep 2021 at 18:28, Zacchaeus Scheffer <[email-masked]> wrote:

> Seeing as this works fine for x86, I'm guessing that a ghc-pwd is
> being used that was compiled for x86, maybe an error in setting up
> cross compiling?

To my knowledge, the system aarch64 is not supported.  The GHC bootstrap
is currently implemented for x86_64 and i686, only.

Moreover, the Haskell build system does not support cross-builds, again
to my knowledge.

There is no mean to compile git-annex for aarch64.  Therefore, it is
expected that it fails.

Cheers,
simon